<table mat-table>
  <ng-container>
    <tr>
      <th mat-header-cell>ID</th>
      <th mat-header-cell>UserName</th>
      <th mat-header-cell>Email</th>
      <th mat-header-cell>Company</th>
    </tr>
  </ng-container>

  <tr *ngFor="let admin of details">
    <ng-container>
      <td mat-cell>{{ admin.id }}</td>
      <td mat-cell>{{ admin.username }}</td>
      <td mat-cell>{{ admin.email }}</td>
      <td mat-cell>{{ admin.company }}</td>
      <td>
        <button
          mat-raised-button
          color="primary"
          type="submit"
          (click)="config()"
          matTooltip="click to config"
          
        >
          Config
        </button>
      </td>
    </ng-container>
    </tr>
</table>
<!-- ---------------------------------------------------------------------- -->



<!-- 
<footer>
  <mat-paginator
    class="footer"
    [length]="50"
    [pageSize]="10"
    [pageSizeOptions]="[10, 20, 30, 40, 50]"
    aria-label="Select page"
  >
  </mat-paginator>
</footer> -->
